<mat-card class="example-card">
    <mat-card-title-group>
        <mat-card-title>{{task.name}}</mat-card-title>
        <mat-card-subtitle>{{task.createdAt | format}}</mat-card-subtitle>
        <mat-card-subtitle>Performer: {{task.performer?.firstName}} {{task.performer?.lastName}}</mat-card-subtitle>
    </mat-card-title-group>
    <mat-card-content>
        Description: {{task.description}}
    </mat-card-content>
    <mat-card-actions class="actions-buttons" align="end">
        <button mat-icon-button color="primary"  (click)="toggleEditContainer()">
          <mat-icon aria-label="Edit">edit</mat-icon>
        </button>
        <button mat-icon-button color="basic" (click)="deleteTask()">
          <mat-icon aria-label="Delete" >delete</mat-icon>
        </button>
      </mat-card-actions>
    <mat-icon *ngIf="task.finishedAt!=null">done</mat-icon>
</mat-card>
<mat-card class="example-card" *ngIf="showEditContainer">
  <mat-card-content>
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Description</mat-label>
      <textarea [(ngModel)]="task.description" name="description" matInput
        placeholder="Info about your project"></textarea>
    </mat-form-field>
  </mat-card-content>
  <mat-card-actions align="end">
    <button mat-icon-button color="primary" matTooltip="Edit it" >
      <mat-icon aria-label="Edit">send</mat-icon>
    </button>
  </mat-card-actions>
</mat-card>